.TH wxGauge 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxGauge \- See external documentation: wxGauge\&.
.SH DESCRIPTION
.LP
See external documentation: wxGauge <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxControl 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxGauge()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new() -> wxGauge()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugewxgauge>\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Range::integer()) -> wxGauge()
.br
.RS
.LP
Equivalent to new(Parent, Id, Range, [])\&.
.RE
.LP
.B
new(Parent::wxWindow() (see module wxWindow), Id::integer(), Range::integer(), Options::[Option]) -> wxGauge()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugewxgauge>\&.
.RE
.LP
.B
create(This::wxGauge(), Parent::wxWindow() (see module wxWindow), Id::integer(), Range::integer()) -> bool()
.br
.RS
.LP
Equivalent to create(This, Parent, Id, Range, [])\&.
.RE
.LP
.B
create(This::wxGauge(), Parent::wxWindow() (see module wxWindow), Id::integer(), Range::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {pos, {X::integer(), Y::integer()}} | {size, {W::integer(), H::integer()}} | {style, integer()} | {validator, wx() (see module wx)}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugecreate>\&.
.RE
.LP
.B
getBezelFace(This::wxGauge()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugegetbezelface>\&.
.RE
.LP
.B
getRange(This::wxGauge()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugegetrange>\&.
.RE
.LP
.B
getShadowWidth(This::wxGauge()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugegetshadowwidth>\&.
.RE
.LP
.B
getValue(This::wxGauge()) -> integer()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugegetvalue>\&.
.RE
.LP
.B
isVertical(This::wxGauge()) -> bool()
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugeisvertical>\&.
.RE
.LP
.B
setBezelFace(This::wxGauge(), W::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugesetbezelface>\&.
.RE
.LP
.B
setRange(This::wxGauge(), R::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugesetrange>\&.
.RE
.LP
.B
setShadowWidth(This::wxGauge(), W::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugesetshadowwidth>\&.
.RE
.LP
.B
setValue(This::wxGauge(), Pos::integer()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugesetvalue>\&.
.RE
.LP
.B
pulse(This::wxGauge()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxgauge\&.html#wxgaugepulse>\&.
.RE
.LP
.B
destroy(This::wxGauge()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
